#
# Conditional build:
%bcond_without	tests	# unit/functional tests

Summary:	Amazon S3 Transfer Manager
Summary(pl.UTF-8):	Zarządca transferu danych Amazon S3
Name:		python3-s3transfer
Version:	0.10.2
Release:	3
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/s3transfer/
Source0:	https://files.pythonhosted.org/packages/source/s/s3transfer/s3transfer-%{version}.tar.gz
# Source0-md5:	891737ce35aeb23b02a47a72c7f9b639
URL:		https://pypi.org/project/s3transfer/
BuildRequires:	python3-modules >= 1:3.8
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-botocore >= 1.33.2
BuildRequires:	python3-botocore < 2
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
S3transfer is a Python library for managing Amazon S3 transfers.

%description -l pl.UTF-8
S3transfer to pythonowa biblioteka do zarządzania przesyłami danych
Amazon S3.

%prep
%setup -q -n s3transfer-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest tests/unit
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/s3transfer
%{py3_sitescriptdir}/s3transfer-%{version}-py*.egg-info
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-s3transfer.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 883a4b2
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> b545557
- python 3.13 rebuild

* Wed Sep 04 2024 Jakub Bogusz <qboosh@pld-linux.org> cc80e15
- updated dependencies and tests

* Thu Aug 01 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> 18bff86
- Up to 0.10.2

* Sun Oct 22 2023 Jakub Bogusz <qboosh@pld-linux.org> 49e3ea3
- updated to 0.7.0

* Mon Jun 06 2022 Jan Palus <atler@pld-linux.org> 5505d2f
- up to 0.6.0

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> ca24e83
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 769f3f8
- rebuild with python 3.10

* Wed Dec 08 2021 Jan Palus <atler@pld-linux.org> 5c5d1b5
- Release 2 (by relup.sh)

* Wed Dec 08 2021 Jan Palus <atler@pld-linux.org> 6ba43b5
- rediff patch

* Mon Sep 13 2021 Jan Palus <atler@pld-linux.org> 119fdff
- up to 0.5.0

* Mon Sep 13 2021 Jan Palus <atler@pld-linux.org> 9b03855
- rename to python3-s3transfer

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 6b20821
- release 2 (by relup.sh)

* Sun Feb 14 2021 Jakub Bogusz <qboosh@pld-linux.org> 5a27e7c
- new
- added mock patch (use unittest.mock instead of separate mock under py3)
- added tests patch (fix one test and disable second which seems incompatible with python 3.8)

